AOZ Studio Beta - Bug #806

Several cursor problems: Even with Flash Off, cursor still flashes. Curs Pen n does not change the
cursor color. Set Curs does not change the cursor shape.

07/31/2021 03:43 PM - Brian Flanagan

Status: Feedback Start date: 07/31/2021
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

This is true in both Amiga and AOZ manifests.

#manifest: "aoz"
If manifest$="aoz"
Palette $000000, SFFFFFF, SFF0000
Else
Palette 0, $FFF, SFOO
End If
Pen 1 : Paper 0 : Cls O
' Set red, backslash, non-flashing cursor
Curs Pen 2
Set Curs $80,$40,5$20,$10,%$08,504,5%02,$01

Flash Off
Print "Test...";
Do
Wait Vbl
Loop

NOTE: In addition to changing the manifest tag, you'll need to delete the local
manifest file for this to work in Amiga mode... or just create an Amiga app.

History

#1 - 09/07/2021 06:44 AM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed!

#2 - 09/08/2021 11:36 AM - Brian Flanagan
- Status changed from Resolved to Feedback

- Affected version changed from 1.0.0 (B9) u16 to 1.0.0 (B10) u16

This still fails in several ways.

#manifest: "amiga"
Print "Test...";
Do

Wait Vbl
Loop

' Above works, except flashing pattern is wrong. (minor issue)

#manifest: "amiga"
Flash Off
Print "Test...";
Do

Wait Vbl
Loop
The above FAILS.
Should display non-flashing white underscore cursor. Instead has none.
In other words, yes, flash is off but the cursor should still be visible!

#manifest: "amiga"
Print "Test...";
Curs Pen 1
Do

Wait Vbl
Loop

The above FAILS. Curs Pen 1 causes infinite guru error.
Also in Amiga mode:
Flash should not affect the cursor shape at all, however...

Set Curs works, but if Flash is used, cursor shape resets to underscore.
For example:

#manifest: "amiga"
Print "Test...";
Set Curs $80,$40,$20,$10,$08,$04,502,501
' Flash
Do
Wait Vbl
Loop

If you leave the Flash statement commented the above will successfully change the cursor shape,
however, if you uncomment it, the shape resets to underscore.

Also, Set Curs works, but only if Flash is On. For example:
#manifest: "amiga"

Print "Test...";
Set Curs $80,$40,$20,$10,508,$04,502,501

' Flash Off
Do

Wait Vbl
Loop

The above example works, but if you uncomment the Flash Off, the cursor disappears entirely.
(It should still be on - just not flashing.)

There are also many problems in AOZ mode. (those notes to follow)
